Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools
Class ChannelServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jasig.portal.tools.ChannelServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ChannelServlet

extends javax.servlet.http.HttpServlet

A servlet that allows one to render an IChannel outside of the portal.

Version:
  $Revision: 1.27.4.4 $
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Nested Class Summary
`protected class` | `ChannelServlet.Worker`

Field Summary
`private IChannel` | `channel`
`private java.lang.String` | `channelName`
`static java.lang.String` | `detachBaseStart`
`private boolean` | `initialized`
`private static org.apache.commons.logging.Log` | `LOG`
`(package private) MediaManager` | `mediaM`
`private static java.lang.String` | `relativeSSLLocation`
`(package private) StylesheetSet` | `set`
`private long` | `timeOut`

Constructor Summary
`ChannelServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected IPerson` | `getPerson(javax.servlet.http.HttpServletRequest req)`
`void` | `init()`
`private void` | `showErrorMessage(java.lang.String message, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    private static final org.apache.commons.logging.Log LOG

### detachBaseStart

    public static java.lang.String detachBaseStart

### set

    StylesheetSet set

### mediaM

    MediaManager mediaM

### initialized

    private boolean initialized

### channel

    private IChannel channel

### channelName

    private java.lang.String channelName

### timeOut

    private long timeOut

### relativeSSLLocation

    private static final java.lang.String relativeSSLLocation

See Also:
  Constant Field Values

Constructor Detail

### ChannelServlet

    public ChannelServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### showErrorMessage

    private void showErrorMessage(java.lang.String message,
                                  javax.servlet.http.HttpServletResponse res)

### getPerson

    protected IPerson getPerson(javax.servlet.http.HttpServletRequest req)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD